import { jsx } from "react/jsx-runtime";
import { TokenCREDI as TokenCREDI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCREDI = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "CREDI", "data-name": "TokenCREDI", ...props, children: /* @__PURE__ */ jsx(TokenCREDI$1, { variant }) });
  }
);
TokenCREDI.displayName = "TokenCREDI";
Object.assign(TokenCREDI, { isGdsIcon: true });
export {
  TokenCREDI
};
